org.keycloak.admin.client.resource

## Interface UserResource

-     @Consumes(value="application/json")
      @Produces(value="application/json")
      public interface UserResource

  Author:
    rodrigo.sasaki@icarros.com.br

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `addSocialLink(String provider, SocialLinkRepresentation rep)`
    `List<SocialLinkRepresentation>` | `getSocialLinks()`
    `List<UserSessionRepresentation>` | `getUserSessions()`
    `Map<String,UserStats>` | `getUserStats()`
    `void` | `logout()`
    `void` | `remove()`
    `void` | `removeSocialLink(String provider)`
    `void` | `removeTotp()`
    `void` | `resetPassword(CredentialRepresentation credentialRepresentation)`
    `void` | `resetPasswordEmail()`
    `RoleMappingResource` | `roles()`
    `UserRepresentation` | `toRepresentation()`
    `void` | `update(UserRepresentation userRepresentation)`

- - ### Method Detail

    - #### toRepresentation

          @GET
          UserRepresentation toRepresentation()

    - #### update

          @PUT
          void update(UserRepresentation userRepresentation)

    - #### remove

          @DELETE
          void remove()

    - #### logout

          @POST
          @Path(value="logout")
          void logout()

    - #### removeTotp

          @PUT
          @Path(value="remove-totp")
          void removeTotp()

    - #### resetPassword

          @PUT
          @Path(value="reset-password")
          void resetPassword(CredentialRepresentation credentialRepresentation)

    - #### resetPasswordEmail

          @PUT
          @Path(value="reset-password-email")
          void resetPasswordEmail()

    - #### getUserStats

          @GET
          @Path(value="session-stats")
          Map<String,UserStats> getUserStats()

    - #### getUserSessions

          @GET
          @Path(value="sessions")
          List<UserSessionRepresentation> getUserSessions()

    - #### getSocialLinks

          @GET
          @Path(value="social-links")
          List<SocialLinkRepresentation> getSocialLinks()

    - #### addSocialLink

          @POST
          @Path(value="social-links/{provider}")
          javax.ws.rs.core.Response addSocialLink(@PathParam(value="provider")
                                                          String provider,
                                                          SocialLinkRepresentation rep)

    - #### removeSocialLink

          @Path(value="social-links/{provider}")
          @DELETE
          void removeSocialLink(@PathParam(value="provider")
                                          String provider)

    - #### roles

          @Path(value="role-mappings")
          RoleMappingResource roles()

Copyright © 2014. All Rights Reserved.